(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define([], factory);
  } else if (typeof exports !== "undefined") {
    factory();
  } else {
    var mod = {
      exports: {}
    };
    factory();
    global.DevSocketManager = mod.exports;
  }
})(this, function () {
  "use strict";

  (function () {
    var enterModule = require('react-hot-loader').enterModule;

    enterModule && enterModule(module);
  })();

  function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

  function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

  function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

  var c = require('../../app-dir/socket-constants');

  var DevSocketClass =
  /*#__PURE__*/
  function () {
    function DevSocketClass() {
      _classCallCheck(this, DevSocketClass);

      this.running = false;
      this.init = this.init.bind(this);
      this.getSocket = this.getSocket.bind(this);
    }

    _createClass(DevSocketClass, [{
      key: "init",
      value: function init(server) {
        var _this = this;

        this.theSocket = null; // eslint-disable-next-line global-require

        this.websocket = require('socket.io')(server);
        this.websocket.on('connection', function (s) {
          _this.theSocket = s;
          s.emit(c.READY);
        });
        this.running = true;
      }
    }, {
      key: "getSocket",
      value: function getSocket() {
        return this.running && this.websocket;
      }
    }]);

    return DevSocketClass;
  }();

  module.exports = new DevSocketClass();
  ;

  (function () {
    var reactHotLoader = require('react-hot-loader').default;

    var leaveModule = require('react-hot-loader').leaveModule;

    if (!reactHotLoader) {
      return;
    }

    reactHotLoader.register(DevSocketClass, "DevSocketClass", "/home/martiuh/Sites/chido/src/dev-server/DevSocketManager.js");
    leaveModule(module);
  })();

  ;
});