(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define([], factory);
  } else if (typeof exports !== "undefined") {
    factory();
  } else {
    var mod = {
      exports: {}
    };
    factory();
    global.htmlShared = mod.exports;
  }
})(this, function () {
  "use strict";

  /*
    This webpack configuration is shared between html-generator and routes-generator
   */
  module.exports = {
    module: {
      rules: [{
        test: /\.(css|scss|sass)$/,
        exclude: /node_modules/,
        use: ['css-loader', 'sass-loader']
      }]
    }
  };
});