(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "./chido-link", "@reach/router"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("./chido-link"), require("@reach/router"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.chidoLink, global.router);
    global.index = mod.exports;
  }
})(this, function (_exports, _chidoLink, _router) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  Object.defineProperty(_exports, "Link", {
    enumerable: true,
    get: function get() {
      return _chidoLink.default;
    }
  });
  Object.defineProperty(_exports, "Router", {
    enumerable: true,
    get: function get() {
      return _router.Router;
    }
  });
  Object.defineProperty(_exports, "Redirect", {
    enumerable: true,
    get: function get() {
      return _router.Redirect;
    }
  });
  _chidoLink = _interopRequireDefault(_chidoLink);

  function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
});